"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const express = require("express");
const expressWs = require("express-ws");
const opn = require("opn");
const pathToJs = __filename.split("/");
pathToJs.splice(-3, 3);
const getTokenFromHostedUI = (setup) => new Promise(resolve => {
    const config = fs.readFileSync(setup.hostedUI).toString();
    const app = express();
    expressWs(app);
    app.use(express.static(pathToJs.join("/") + "/hostedui/dist"));
    app.get("/", (req, res) => res.send(`<!DOCTYPE html><html><head><script>var amplifyCognitoConfig = ${config};var socket = "ws://localhost:3000";</script></head><body><div id="app"></div><script src="./cognitohosteduilauncher.js"></script></body></html>`));
    app.ws("/", function (ws) {
        ws.on("message", function (msg) {
            resolve(msg);
        });
    });
    app.listen(3000);
    opn("http://localhost:3000");
});
exports.getTokenFromHostedUI = getTokenFromHostedUI;
